package cn.cslg.pas.service.upLoadPatent;

import cn.cslg.pas.common.model.vo.ProjectImportPatentVO;
import cn.cslg.pas.common.model.vo.UploadSettingVO;
import cn.cslg.pas.common.utils.FileUtils;
import cn.cslg.pas.common.utils.UploadPatentBatchUtil;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 解析数据源配置文件
 *
 * @Author chenyu
 * @Date 2023/5/31
 */
@Service
public class ExcuteUploadSettingService {
    /**
     * 解析数据源配置文件并返回配置文件对象
     *
     * @param sourceId 数据来源id
     * @return 返回数据源配置文件对象
     */
    public List<UploadSettingVO.Column> ExcuteUploadSetting(String sourceId) {
        //获得uploadSetting.json配置文件的JSON串
        String getSettingJson = new FileUtils().analysisJsonFile();
        //查找并装载本次导入的专利需要的数据源（如智慧芽）的对应配置（如前台传来的数据来源id是1，即“智慧芽”，那么jsonData装载的就是智慧芽的数据源配置）
        ProjectImportPatentVO projectImportPatentVO = new ProjectImportPatentVO();
        projectImportPatentVO.setSourceId(sourceId);
        List<UploadSettingVO.Column> jsonData = UploadPatentBatchUtil.parsingConfigurationFiles(projectImportPatentVO, getSettingJson);
        return jsonData;
    }

}
